Stocks/Articles/Bulk/Update
Update articles in bulk
Updates multiple articles in a single request. Each object must contain the article id (code) and the fields to update. Validates each update according to UpdateArticleRequest rules. Returns results for each article indicating success or failure with error details.
AuthorizationBearer <token>
In: header
articlesarray<array<unknown>>
Array of article objects to update. Each object must contain id (article code) and the fields to update.
Response Body
curl -X POST "https://og-tenant1.test:8003/api/v2/stocks/articles/bulk/update" \
-H "Content-Type: application/json" \
-d '{
"articles": [
[]
]
}'Empty
{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}